Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.xml.schema
Class SimpleTypeDeclaration

    java.lang.Object
      org.deegree.framework.xml.schema.SimpleTypeDeclaration

All Implemented Interfaces:
  TypeDeclaration

    public class SimpleTypeDeclaration

extends Object
implements TypeDeclaration

Represents an XML simple type declaration in an `XMLSchema`.

The following limitations apply:

- the type must be defined using 'restriction' (of a basic xsd type)
- the content model (enumeration, ...) is not evaluated

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`SimpleTypeDeclaration(QualifiedName name, TypeReference restrictionBaseType)` Creates a new `SimpleTypeDeclaration` instance from the given parameters.

Method Summary
`QualifiedName` | `getName()` Returns the qualified name of the declared XML type.
`TypeReference` | `getRestrictionBaseType()` Returns a `TypeReference` to the XML type that this simple type restricts.
`String` | `toString()` Returns a string representation of the object.
`String` | `toString(String indent)` Returns a string representation of the object (indented for better readablity, as this is a hierarchical structure).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTypeDeclaration

    public SimpleTypeDeclaration(QualifiedName name,
                                 TypeReference restrictionBaseType)

  Creates a new `SimpleTypeDeclaration` instance from the given parameters.

  Parameters:
    `name` -
    `restrictionBaseType` -

Method Detail

### getName

    public QualifiedName getName()

  Returns the qualified name of the declared XML type.

  Specified by:
    `getName` in interface `TypeDeclaration`
  Returns:
    the qualified name of the declared XML type

### getRestrictionBaseType

    public TypeReference getRestrictionBaseType()

  Returns a `TypeReference` to the XML type that this simple type restricts.

  Returns:
    a TypeReference to the XML type that this simple type restricts

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

### toString

    public String toString(String indent)

  Returns a string representation of the object (indented for better readablity, as this is a hierarchical structure).

  Specified by:
    `toString` in interface `TypeDeclaration`
  Parameters:
    `indent` - current indentation (as a whitespace string)
  Returns:
    an indented string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org